Name:		mpifileutils
Version:	0.7
Release:	1%{?dist}
Summary:	File utilities designed for scalability and performance.

License:	BSD
URL:		http://fileutils.io/
Source:		https://github.com/hpc/mpifileutils/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch1:		mpifileutils-dtcmp.patch
BuildRequires: libcircle-devel, lwgrp-devel, dtcmp-devel, libarchive-devel, openssl-devel
BuildRequires: openmpi-devel, pkgconfig, automake, libattr-devel, autoconf%{?el6:268}

%description
File utilities designed for scalability and performance.

%prep
%setup -q
%patch1 -p1
autoreconf%{?el6:268}

%build
topdir=`pwd`
#installdir=$topdir/install
%_openmpi_load
#export PATH="${topdir}/autotools/install/bin:$PATH"
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:$MPI_LIB/pkgconfig"
export CC=mpicc
# hack to get things to build after common library
export CFLAGS="-I${topdir}/src/common -DDCOPY_USE_XATTRS -Wno-strict-prototypes"
export LIBS="-L$MPI_LIB -lcircle -ldtcmp -llwgrp"

%configure \
  --bindir=$MPI_BIN \
  --enable-lustre \
  --disable-silent-rules --includedir=$MPI_INCLUDE --mandir=$MPI_MAN --libdir=$MPI_LIB
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}


%files
%{_libdir}/openmpi/bin/*
%{_includedir}/openmpi-%_arch/*
%{_libdir}/openmpi/lib
%{_mandir}/openmpi-%_arch/man1/*

%changelog
* Wed Sep 20 2017 Dave Love <loveshack@fedoraproject.org> - 0.7-1
- New version
- Modifications to be Fedora-ish and generally build
